Loading...
Searching...
No Matches
N_gradient_neighbours_x Struct Reference

Gradient between the cell neighbours in X direction. More...

`#include <N_pde.h>`

## Data Fields

double | NWN
double | NEN
double | WC
double | EC
double | SWS
double | SES

## Detailed Description

Gradient between the cell neighbours in X direction.

    Gradient in X direction between the cell neighbours
    ____ ____ ____
    |    |    |    |
    |   NWN  NEN   |
    |____|____|____|
    |    |    |    |
    |   WN    EN   |
    |____|____|____|
    |    |    |    |
    |   SWS  SES   |
    |____|____|____|

    Gradient in Y direction between the cell neighbours
    ______________
    |    |    |    |
    |    |    |    |
    |NWW-|-NC-|-NEE|
    |    |    |    |
    |    |    |    |
    |SWW-|-SC-|-SEE|
    |    |    |    |
    |____|____|____|

    Gradient in Z direction between the cell neighbours
    /______________/
    /|    |    |    |
    | NWZ| NZ | NEZ|
    |____|____|____|
    /|    |    |    |
    | WZ | CZ | EZ |
    |____|____|____|
    /|    |    |    |
    | SWZ| SZ | SEZ|
    |____|____|____|
    /____/____/____/

Definition at line 514 of file N_pde.h.

## Field Documentation

## EC

double N_gradient_neighbours_x::EC

Definition at line 516 of file N_pde.h.

Referenced by N_copy_gradient_neighbours_x(), and N_create_gradient_neighbours_x().

## NEN

double N_gradient_neighbours_x::NEN

Definition at line 516 of file N_pde.h.

Referenced by N_copy_gradient_neighbours_x(), and N_create_gradient_neighbours_x().

## NWN

double N_gradient_neighbours_x::NWN

Definition at line 516 of file N_pde.h.

Referenced by N_copy_gradient_neighbours_x(), and N_create_gradient_neighbours_x().

## SES

double N_gradient_neighbours_x::SES

Definition at line 516 of file N_pde.h.

Referenced by N_copy_gradient_neighbours_x(), and N_create_gradient_neighbours_x().

## SWS

double N_gradient_neighbours_x::SWS

Definition at line 516 of file N_pde.h.

Referenced by N_copy_gradient_neighbours_x(), and N_create_gradient_neighbours_x().

## WC

double N_gradient_neighbours_x::WC

Definition at line 516 of file N_pde.h.

Referenced by N_copy_gradient_neighbours_x(), and N_create_gradient_neighbours_x().

The documentation for this struct was generated from the following file:

- N_pde.h